=== debian/changelog ===
cgal (4.13-1ubuntu3) disco; urgency=medium

  * No-change rebuild against libipe7.2.9

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Feb 2019 09:02:02 +0000

cgal (4.13-1ubuntu2) disco; urgency=high

  * No change rebuild to recover from imagemagick ABI breakage

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 08 Jan 2019 20:54:57 +0700

cgal (4.13-1ubuntu1) disco; urgency=medium

  * Add arm64 to the list of OPENGL_ES_ARCHITECTURES.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Nov 2018 12:19:28 +0100

cgal (4.13-1) unstable; urgency=medium

  * New upstream release.
    - Remove Suggests: libqglviewer-dev-qt5 from libcgal-demo. CGAL uses
      now a fork of libQGLViewer.
  * Add Build-Depends: libeigen3-dev (needed by libcgal-ipelets).
  * Update Standards-Version to 4.2.1 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Mon, 01 Oct 2018 18:24:40 +0200
